Skip to content

Get loan balances

Request

Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
isRoundedboolean

If true, balances will be rounded to the closes 1 cent.

skipYtdboolean

If true, skip year-to-date calculations.

fastboolean

Perform a faster query that returns a pre-defined subset of attributes. When this query parameter is used, the toEffectiveAt parameter is ignored and only real-time balances are returned.

To configure the subset of attributes, please contact the Peach team.

Default:false
toEffectiveDatestring, (date)

Last day for which to fetch balances

GET
/people/{personId}/loans/{loanId}/balances
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/balances?isRounded=true&skipYtd=true&fast=false&toEffectiveDate=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Balances)

The up-to-date loan balances as of the time of inquiry.

Response
{ "message": "string", "status": 0, "data": { "isLocked": true, "authorizedAmount": 0.1, "availableCreditAmount": 0.1, "calculatedAt": "2019-08-24T14:15:22Z", "chargedOffBalances": {}, "creditLimitAmount": 0.1, "dueBalances": {}, "interestAndFeesAmounts": {}, "loanStatus": "pending", "nonAccrualBalances": {}, "nonDueBalances": {}, "openToBuyAmount": 0.1, "outstandingBalances": {}, "outstandingBalancesWithPromo": {}, "overLimitAmount": 0.1, "overdueBalances": {}, "overdueNumberDays": 0, "paidBalances": {}, "reimbursementAmount": 0.1, "utilizationAmount": 0.1 } }